import React from "react";

export default function Divider({ vertical, className }) {
  return (
    <div
      className={`bg-[#FFFFFF26] rounded-full ${
        vertical ? "h-full w-[3px]" : "w-full h-[3px]"
      } ${className}`}
    ></div>
  );
}
