/** @type {import('next').NextConfig} */
const nextConfig = {
  async rewrites() {
    return [
      {
        source: "/api/:path*",
        destination: "https://api.tiefen.fun/api/:path*",
      },
      {
        source: "/cors/:path*",
        destination: "https://file.tiefen.fun/:path*",
      },
    ];
  },
  transpilePackages: ["crypto-js"],
};

module.exports = nextConfig;
